活动通知
GET https://notifyc.com/api/notifications/
curl --request GET \
--url 'https://notifyc.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name。 |
| is_enabled | 可选的 布尔值 | |
| type | 可选的 字符串 | 允许的值:informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, informational_bar, image, collector_bar, coupon_bar, button_bar, collector_modal, collector_two_modal, button_modal, text_feedback, engagement_links, whatsapp_chat, contact_us, informational_mini, informational_bar_mini, badge |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:notification_id, datetime, last_datetime, name, impressions, hovers, clicks, form_submissions。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"campaign_id": 1,
"notification_key": "f56d2208dd5e9d9809c158e1d6a77f53",
"name": "Example",
"type": "reviews",
"settings": {},
"impressions": 0,
"hovers": 0,
"clicks": 0,
"form_submissions": 0,
"is_enabled": true,
"datetime": "2026-05-15 12:20:26",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notifyc.com/api/notifications?page=1",
"last": "https://notifyc.com/api/notifications?page=1",
"next": null,
"prev": null,
"self": "https://notifyc.com/api/notifications?page=1"
}
}
GET https://notifyc.com/api/notifications/{notification_id}
curl --request GET \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"campaign_id": 1,
"notification_key": "f56d2208dd5e9d9809c158e1d6a77f53",
"name": "Example",
"type": "reviews",
"settings": {},
"impressions": 0,
"hovers": 0,
"clicks": 0,
"form_submissions": 0,
"is_enabled": true,
"datetime": "2026-05-15 12:20:26",
}
}
POST https://notifyc.com/api/notifications
| 参数 | 细节 | 描述 |
|---|---|---|
| campaign_id | 必需 整数 | - |
| type | 必需 字符串 | 允许的值:informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, informational_bar, image, collector_bar, coupon_bar, button_bar, collector_modal, collector_two_modal, button_modal, text_feedback, engagement_links, whatsapp_chat, contact_us, informational_mini, informational_bar_mini, badge |
| name | 可选的 字符串 | - |
| is_enabled | 可选的 布尔值 | - |
curl --request POST \
--url 'https://notifyc.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
--url 'https://notifyc.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
POST https://notifyc.com/api/notifications/{notification_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 可选的 字符串 | - |
| is_enabled | 可选的 布尔值 | - |
| trigger_all_pages | 可选的 布尔值 | - |
| display_trigger | 可选的 字符串 |
允许的值:delay, time_on_site, pageviews, inactivity, exit_intent, scroll, click, hover |
| display_value | 可选的 字符串 | - |
| display_delay_type_after_close | 可选的 字符串 |
允许的值:time_on_site, pageviews |
| display_delay_value_after_close | 可选的 整数 | - |
| display_frequency | 可选的 字符串 |
允许的值:all_time, once_per_session, once_per_browser |
| direction | 可选的 字符串 |
允许的值:rtl, ltr |
| display_continents | 可选的 数组 字符串 | - |
| display_countries | 可选的 数组 字符串 | - |
| display_languages | 可选的 数组 字符串 | - |
| display_operating_systems | 可选的 数组 字符串 | - |
| display_browsers | 可选的 数组 字符串 | - |
| display_cities | 可选的 数组 字符串 | - |
| display_mobile | 可选的 布尔值 | - |
| display_desktop | 可选的 布尔值 | - |
| schedule | 可选的 布尔值 | - |
| start_date | 可选的 字符串 | - |
| end_date | 可选的 字符串 | - |
| display_duration | 可选的 整数 | - |
| display_position | 可选的 字符串 |
允许的值:top_left, top_center, top_right, middle_left, middle_center, middle_right, bottom_left, bottom_center, bottom_right, top, bottom, top_floating, bottom_floating |
| display_close_button | 可选的 布尔值 | - |
| close_button_color | 可选的 字符串 | - |
| dark_mode_close_button_color | 可选的 字符串 | - |
| display_branding | 可选的 布尔值 | - |
| shadow | 可选的 字符串 |
允许的值:, subtle, feather, 3d, layered |
| border_width | 可选的 整数 | 允许的值:0, 1, 2, 3, 4, 5 |
| internal_padding | 可选的 整数 | 允许的值:5-25 |
| background_blur | 可选的 整数 | 允许的值:0-30 |
| custom_css | 可选的 字符串 | - |
| hover_animation | 可选的 字符串 |
允许的值:, fast_scale_up, slow_scale_up, fast_scale_down, slow_scale_down |
| on_animation | 可选的 字符串 |
允许的值:fadeIn, slideInUp, slideInDown, zoomIn, bounceIn |
| off_animation | 可选的 字符串 |
允许的值:fadeOut, slideOutUp, slideOutDown, zoomOut, bounceOut |
| animation | 可选的 字符串 |
允许的值:, heartbeat, bounce, flash, pulse |
| animation_interval | 可选的 整数 | - |
| font | 可选的 字符串 |
允许的值:inherit, Arial, Verdana, Helvetica, Tahoma, Trebuchet MS, Times New Roman, Georgia, Courier New, Monaco, Comic Sans MS, Courier, Impact, Futura, Luminari, Baskerville, Papyrus |
| border_radius | 可选的 字符串 |
允许的值:straight, rounded, highly_rounded, round |
| dark_mode_is_enabled | 可选的 布尔值 | |
| notifications | 可选的 数组 | 可用时间:type = email_collector, collector_bar, collector_modal, collector_two_modal, conversions, conversions_counter, countdown_collector, request_collector, text_feedback 通知处理程序 ID |
| translations[input_key][index]['key'] | 可选的 字符串 | Available for all the marked for translation fields. |
| translations[input_key][index]['value'] | 可选的 字符串 | Available for all the marked for translation fields. |
| data_trigger_auto | 可选的 布尔值 | 可用时间:type = conversions counter |
| data_trigger_auto_type[index] | 可选的 数组 字符串 | 可用时间:type = conversions 允许的值: exact, contains, starts_with, ends_with |
| data_trigger_auto_value[index] | 可选的 数组 字符串 | 可用时间:type = conversions |
curl --request POST \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
DELETE https://notifyc.com/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \